### Function Macro

# GLib N_ELEMENTS

#### Declaration [src]

    #define G_N_ELEMENTS (
      arr
    )

#### Description [src]

Determines the number of elements in an array. The array must be declared so the compiler knows its size at compile-time; this macro will not work on an array allocated on the heap, only static arrays or arrays on the stack.

This function is not directly available to language bindings.

#### Parameters

`arr`

  Type: `-`

  The array.